=========================================
1.11.7
=========================================

* NesHawk
** Numerous accuracy improvements, passes many more accuracy tests now
*** See [EmulatorResources/NESAccuracyTests|Accuracy Tests] for more details
** Fix Micro Machines
** Fix Time Lord
** Fix Saint Seiya
** Correctly boot all the HVC-SNROM Board ROMs now.
** Support UNIF DripGame http://www.qmtpro.com/~nes/drip/
** Fix shaking in Little Ninja Bros (E)
** Support SNES controllers
** VRC2 - only support V\H miorring - fixes wai wai world issue
** Mapper 011 - fix mirroring on some boards

* Atari 2600
** Major core overhaul that includes many accuracy improvements, bug fixes, sound improvmeents, timing improvements, and game compatibility
** Fixes compumate mapper
** implement mapper m4A50
** Add sega mapper mod
** Pick the correct mapper for Tapper and Congo Bongo based off SHA1 hash

* Saturn
** Trace Logger support

* PSX
** Trace Logger support
** Patch for "Fantastic Pinball Kyutenkai" lockup (not likely to affect sync but could in principle)

* N64
** Trace Logger support (Interpreter/Pure Interpreter core type only)
** Implement memory execute callbacks (Interpreter/Pure Interpreter core type only)
** Fix crash & memory leak when opening hex editor with the N64 core loaded

* SNES
** Fix crash when advancing after tracer was disabled
** System Bus map has been extended to read mapped ROM space
** Fix SNES trace logging to not lose information

* SMSHawk
** Overscan display option

* Genesis
** Improve disassembler
** Fix bug in genesis z80 CDL that made addresses in mirrored z80 ram region crash
** Output and input hex values in Settings

* GBA
** Add SRAM memdomain to both VBANext and mGBA
** mGBA - fix bug where hard reset caused memorydomains to get permanently wrecked

* Coleco
** Add Venture to list of no skips

* PCEHawk
** Don't crash when loading PCE-CD and SGX games 
** Fix PCE-CD virtual pads

* Wonderswan
** Support settings to change colors

* EmuHawk
** Make direct3d9 prereq check non-fatal and make d3d display method initialization fail non-fatal, falling back to gdi+
** D3D display method - survive ctrl+alt+del (fix #522)
** Fix flashes of garbage while changing vsync toggle (includes when fast-forwarding) on D3D display method
** Fix crashes when sending fullscreen windows to other monitors sometimes
** Fix deleting recent roms when missing
** Fix #615 - Garbage on the screen when starting paused with d3d
** Don't allow user to add more then 2 GB/GBC ROMs into the Bundler (#472)
** Fix the Apple IIe being labeled as PlayStation in the title
** Ram Tools - fix usability issues with negative numbers (#669)
** Ram Search - fix for unhandled exception when entering . in to the specific address box
** Allow independent sound volume control during Fast-Forward and Rewind
** Lua
*** Fix #595 - movie.getinput() exception, and movie.mode() confusion
*** Remove background color parameter from gui.text() function
*** Lua text - display trailing spaces
*** Fix regressions in lua's support for UTF-8 strings
*** Add gui.DrawFinish() which will let you choose when to finish drawing; and add optional argument to gui.DrawNew which when set to false lets you keep it from being cleared
** Movie subtitles
*** Trim trailing spaces
*** Sort by frame and then by Y pos (to properly order multiline subs)
*** Concat multilines (optionally) on export
*** Option to skip color tag on export
** Tastudio
*** Recording mode (works with TAStudio checkbox and global ReadOnly hotkey)
*** Autosave and backup features
*** Option to set the gap between states to be saved to .tasproj
*** Overhaul of seek and restore logic: navigation seeking no longer resets Restore frame
*** Make < and > PlaybackBox buttons act identically to FrameAdvance and Rewind hotkeys
*** Properly set input while unpaused
*** Fix all errors related to doing actions while seeking and saving
*** Replace Saving progressbar with hourglass cursor and status bar report
*** Fix N64 crash that happened when capturing states
*** Fix #515 again - TAStudio ignores ClientSettings.json
*** Allow 2 more digits for FramesPrompt
*** Fix #597 - Selecting a lot of frames + Copying throws an error
*** Fix crash when pasting input beyond movie length
*** Set SeekingCutoffInterval to VisibleRows
*** Set ScrollSpeed to 6
*** Fix rerecord counting
*** Ability to load .tasproj with corrupted GreenZone
*** Hide more columns by default (GBA, PSX)
*** Optimize column width
*** Ignore InputRoll hotkeys and numeric branch hotkeys during float editing mode
*** bk2 export: stop endlessly appending extensions
*** Stop recording marker history edits to history
*** Unpausing with the Pause hotkey ignores seek frame
*** Make Rewind hotkey work the same as outside TAStudio (step'n'run)
*** "Esc" key cancels seeking
*** Global hotkeys for AutoRestore, TurboSeek, FollowCursor, Insert/Delete/Clone/Clear
*** Option to trigger AutoRestore on MouseDown
*** Show user text instead of timestamp in BranchView
*** Fix #672 - Not Showing Analog Up, Down, Left, Right for N64
*** Don't pass Ctrl+C hotkey to MainForm
*** Stop copying nothing on Cut command
*** Stop seeking when movie stops
*** Fix to how Undo/Redo works with recording frames
** Trace Logger
*** Log file segmentation
*** Spacing unification for all cores
*** Fix GB trace logger
*** Fix logging to window and saving to file
*** File->Save Log menu item in Trace Logger window
*** Fix an unhandled exception when saving a log from the window
*** Fixed the bug where if a tracelog line contains more than one "[", everything after the second [ will be mistakenly thrown out
** Debugger
*** Add address mask setting for breakpoints
*** Indicate breakpoint hit
** Code-Data Logger
*** Add auto-start and auto-save to CDL
*** Fix copypaste bug in GB for some games with large cartram
*** support GB link
** VirtualPads
*** Fix polar coord when center is non-zero
*** Fix automation of virtualpad analogsticks from movie playback

=========================================
1.11.6
=========================================

* Genesis
** Disassembler support
** Trace Logger support
** Sprite Layer toggles, and custom backdrop color
** Add "M68K BUS" and "S68K BUS" domains
** Capture Sega CD flag in movie files
** Enable low-pass filter

* Atari2600
** Double and quad size players are now correctly delayed an extra pixel.
** Added an R to the State output to indicate when the RDY signal is false.
** Use the RDY flag to halt the CPU instead of a loop in the TIA.

* mGBA
** Capture SRAM in savestates, ALL PREVIOUS SAVESTATES are now incompatible
** Update to the latest mGBA
** Layer toggle

* Saturn
** fix bug in GLManager causing yabause in opengl mode to not work unless frameadvancing

* TI-83
** Implement Trace Logger

* Colecovision
** Implement Trace Logger

* EmuHawk
** Fix ramwatch crashing bug involving core reboots and watchlist hanging on to stale emulator instances
** Hex Editor - fix exception when pressing "Ok" on the "Go to Address" input prompt in the Hex Editor with an empty string
** GameShark tool - layout improvements
** Make Screenshot Raw to Clipboard and Screenshot Client to Clipboard into configurable hotkeys instead of hardcoded shortcut keys in the menu items
** Cheats - comparison type column
** Lua
*** add emu.disassemble(uint pc, string name)
*** Set file watchers on lua session autoload
*** Better auto-complete for Sublime Text 2
*** Call the lua loadstate callback before redrawing the screen and other updates
** Trace Logger
*** Capture headers in log files
*** Separate Disassmbly and Registers in separate columns
*** Remember column widths
*** Add an Open button
*** Use .log extention (allows extension based user syntax highlight)
** Debugger
*** Don't update when unpaused. only update PC when we really need it.
*** Add a Run button
*** Registers - format reg names on launch, smarter spacing.
*** Return address in hex when copying.
*** Fix how Seek To determines the PC register
*** Update when maximized
** Multi-disk bundler
*** Fix ROM path generation
*** Add a remove button
** TAStudio
*** Fix some savestate bugs
*** Don't allow saving while saving.

=========================================
1.11.5
=========================================

*GBA
* Update mGBA to 0.4.0
* Fix #563 -  mGBA Combined WRAM not working

*Nes
** QuickNes - trace logger support
** NesHawk - properly emulate JAM/KIL
** Support the unif board UNIF_BMC-42in1ResetSwitch
** NSF player - limit track number to legal range and print current track number to console

*PSX
** Add "determine lag from GPU frames" option
** Support memory callbacks

*N64
** Fix per game settings for DK64 + Glide64mk2
** VirtualPad - Add polar coordinates to Analog stick

*GB
**Add GB layer toggles

*EmuHawk
** Try catching some missing prereqs in emuhawk startup and print a report about it
** Better error handling in shader compiling, fixes some startup issues
** Cheats - New Feature - cheat comparison types
** Game Shark tool - Added Multiline Cheat Code handling for all supported cores.  Added GBA Slide code handling.
** Make current windows size a per system setting
** Fix #561 - can't set the xpad right stick
** Ability to save/load specific config files
** External Tools - Allow several tools running simultaneously
** Fix selections in HexEditor text columns

**Lua
*** Add emu.setislagged()
*** Add movie.save()
*** Add client.displaymessages()
*** Add gui.defaultpixelfont()
*** Add memory.getmemorydomainsize()
*** Fix #565 - bugs in lua's memorysavestate APIs
*** Make fceux font monospace
*** Fix #57 - Allow "#aarrggbb" as Color parameter to forms.setproperty()
*** forms.textbox() - Added a scrollbars argument

** Lua Console
*** Add option to detect changes in scripts and automatically reload them.  Have this option off by default for now
*** Fix exception when reloading a lua script with registered functions while the registered functions dialog is open
*** Remember column widths
*** Refresh the lua console when a script exits
*** When a lua exception occurs, also want to update the script status icons
*** Fix current directory bugs

**Tastudio
*** Fix upward drawing.
*** Fix null reference errors with the splitter controls
*** Don't clear selection on Cut
*** Don't mindlessly unpause the emulator if autorestore is off and we're editing input via menu
*** Account for loading files with "All Files" filter.
*** Implement SeekingCutoffInterval
*** Seek progress bar, ignore if seeking closer than 2 frames ahead
*** History form - report marker operations, canonical colors, show the current item better
*** Markers - adding markers updates dialog
*** Don't ever remove marker 0

**RAM Watch
RAM Watch - fix "Display watches on Screen" feature
RAM Watch - fixed saving of separators

**Movies
*** Save to Disk option (intended for large movies)
*** Fix OutOfMemory when saving states
*** When automatic movie backups are enabled, take a backup when the movie is closed without saving
*** Save as menu item
*** Flag for SG-1000 movies, fixes TASVideos submission parser

**RAM Search
***Fix "Exclude RAM Watch" option
***Fix leadings zeros in the Difference and Differnet By boxes

**Basic Bot
***Compare To feature
***Clear button clears out the attempts and frames values

=========================================
1.11.4
=========================================

*EmuHawk
**Add libretro player, compatible with selected cores (check wiki)
**Add External Tool system for c#-based tool plugins
**Support Code-Data Logger for GB/GBC, SMS/GG, SNES, and Genesis
**Cheat Dialog: Fix flakiness in value-editing
**Add custom exception display box, so exception info can be clipboarded out
**Improve main OSD font
**Validate user shaders at selection time
**Support user custom AR selection
**Add --load-state commandline
**Fix --fullscreen and fullscreenOnLoad options
**Streamline editing RAM Watches
**Tidy main form context menu
**Add more options for U+D/L+R forbid/mutex
**Fix RAM Search, RAM Watch, Cheats recent file lists
**Fix ffmpeg path for AV writer broken a couple of releases ago
**Add menu command to record avi skipping av writer selection
**Remember codec selection between program sessions
**Fix toolbox
**Improvements to Retro shader compatibility
**Several Hex Editor usability enhancements
**DispMethod D3D: Stop FP precision conflicts with lua scripts
**DispMethod D3D: More leniency in compilation of optional shaders (so it's able to run on more low spec systems)
**Fix #525 - Memorywatch hex textbox now remembers values across memdomain switches
**Fix #526 - Hex editor repainting fails and garbage rendering
**Fix #535 - domain list does not update when changing cores
**Fix #537 - Annoyance with "always on top"
**Fix #541 - Heavy CPU usage when emulation is paused
**Fix #546 - Incorrect Lua Documentation

**Cheats
***Add GameShark converter for N64, GB/GBC, Saturn, GBA, PSX
***Add Action Replay converter for SMS, SNES, Genesis, GBA
***Add Game Genie converter for Genesis, SNES, GG, NES

**Tastudio
***Color stated frames on WasLag too
***Don't truncate LagLog if the branch's one is shorter, but input is the same
***Clean up garbage lua text and drawings in branches
***Default scroll speed to 3
***Put branch states to a separate greenzone file
***Save/load TasSession variables (current frame and branch) in .tasproj
***Fix scrolling when loading a branch
***Account for mouse speed when advancing/rewinding
***Fix ALT+ hotkeys
***Update columns on every file load
***ScreenshotControl tweaks and fixes
***UserText in branches, available from lua and menu, is printed in ScreenshotControl
***Add GUI buttons to branch view and marker view
***Rightclick selects rows in branch and marker views
***Hotkeys and shortcuts for input view and branch view
***Add seeking progressbar
***Saving progressbar reports progress gradually
***Allow going to frame 0 for savestate-anchored movies
***Fix #515 - Save and load column settings in projects
***Fix #520 - An item with the same key has already been added
***Fix #504 - TAStudio opened several thousand Set Markers dialogs

**Basic Bot
***Monospaced input display
***Get smarter

**Lua
**Add two new fonts (gens/snes9x and fceux) and text rendering options
**Fix gameExtraPadding coordinate translation
**Fix (or at least temporarily banish) floating point math errors when running n64
**Add CloseEmulatorWithCode (for returning exe process return code from script)
**Clarify script pause/stop state in UI and logic
**Autoload recent scripts (unless there's a recent session to autoload)
**Fix forms.destroyall() and call it when lua console closes
**Fix error in sizing of lua draw buffers with SetGameExtraPadding (and probably ClientExtraPadding) use
**Add gui.defaultTextBackground
**Fix #538 - Ability to pass memory domain to memory read/write functions

*PSX
**Fix #530 "AV Resizing shows black screen with PSX"

*SNES
**Fix crashes in GFX debugger (including fix #529)
**Recommend proper SNES PAR
**Build dlls without msvcrt14 dependencies (to run on more systems)
**Fix several cheat bugs
**Fix #134 - Add option to disable "force determinism", aka, turn off `savestate every frame`, for reduced reliability and greater speed.

*Genesis
**Add missing scrollbars in VDP viewer
**Fix #543 (support up to 32MB roms)

=========================================
1.11.3
=========================================

*Released October 14, 2015
*[http://sourceforge.net/projects/bizhawk/files/BizHawk/BizHawk-1.11.3.zip/download|Windows binary]
*[https://github.com/TASVideos/BizHawk/commit/105cd1c|Revision 105cd1c]

*C64
**Add tape loading, settings menu, and lots of bugfixes

*Lua
**Add client.SetClientExtraPadding; fix client.SetGameExtraPadding window scaling
**Add client.GetSoundOn and client.SetSoundOn

*PSX
**Repair lag counter
**Fix massively broken controller config dialog which was making controllers seem effectively disconnected or malfunctiony

*EmuHawk
**Fix Direct3D display method sleep/ctrl+alt+del crashes
**Fix built-in shaders
**Reduce shader level requirements for basic d3d display method functionality
**Fix RAM Search/RAM Watch recent files menu
**Import PJM and PXM movies
**Sequentially number screenshots taken in the same second without crashing after the 3rd one

=========================================
1.11.2
=========================================

*Released October 10, 2015
*[http://sourceforge.net/projects/bizhawk/files/BizHawk/BizHawk-1.11.2.zip/download|Windows binary]
*[https://github.com/TASVideos/BizHawk/commit/a44cf5a|Revision a44cf5a]

*PSXHawk
**Update to mednafen 0.9.38.7
**Support 0-2 pads/shocks and 0-2 memcards
**Fix loading of some .psf files
**Add overscan clipping and deinterlacer options
**Fix resolution management and PAR stuff for some PAL modes
**Support .xml disc bundling tool as alternative to .m3u
**Save PAL information in movies, and fix reported PAL movie times
**Fix #460 - overlapping OSD elements
**Support mednafen's emulation of disc error correction (optionally) and graceful sector-out-of-bounds reading

*N64
**Compatibility hack for Jabo vs some Intel GPUs on Windows8+

*SNES
**Handle interlaced modes differently

*mGBA
**Fix #507 - Add "Combined WRAM" memory domain

*GBHawk
**Add LY to trace log 

*NESHawk
**Improve .unf loading (header parsing, Open ROM dialog, vram inference logic) and support more UNIF boards
**Add ines mappers: 6, 51, 53, 90, 136, 147, 202, 204, 209, 211, 212, 213, 214, 216, 235, 244, 17; fix mappers 31, 60, 79, 91, 164, 243, 245, 119, 90, 197
**Support many misc ROMs that are bad/over dumps, wrong/unusual header info, having trainers
**Auto-select region from iNESv2 header
**Fix some graphical corruptions in the PPU for Dragon Warrior 4 and others
**Support 512-entry palettes (QuickNES too)

*GPGX
**Handle AR/resolution-changing more correctly and add option to pad screen out to prevent window resizes
**Fix #494 - cheat decoder unhooked

*EmuHawk
**Direct3D Display Method support
**New Tool: Basic Bot
**Make throttle vs unthrottled vs frame advance behaviour better and add 400% speedlevel
**Add toggles for screen and hud display for true maximum turbo performance
**Add option to suppress double-click fullscreen toggling behaviour
**Don't reorder cheats list when editing cheats
**Fix some crashes on Play Movie dialog
**Support IPCKeyInput (for automation from external program)
**Support xbox pad guide button
**Sequentially number screenshots taken in the same second
**Finetune hotkey config dialog
**Leniency fixes to cue loading
**Make on-screen watches position editable
**Fix crash when minimizing window in gdi+ display method 
**Fix some bugs in gdi+ display method with screenshots and prescaling
**Aboutbox more gitified
**Fix #461 - Repair autofire patterns
**Fix #477 - Support key input over IPC for automation
**Fix #490 - Ampersands in hex editor flakeout
**Fix #493 - Add option to hide OSD messages
**Fix #491 - Tool window sizes get whacked out sometimes

**Movies
***Ability to create/load SaveRam-anchored movies
***Ability to import movies from commandline
***Fix out of memory when using the Play Movie dialog 

**Tastudio
***Add Branches feature
***Fix rerecord counting
***Various UI improvements and bug fixes
***Ability to move markers by alt+click dragging them
***Fix various out of memory and other greenzone crashes
***Hide Power and Reset columns by default.
***Optional icons for states and markers.
***Support creating a savestate anchored movie from another savestate anchored movie
***Support creating a new movie from current saveram 

**Lua
***Fix graphics rendering in GDI+ mode
***Add client.exit() and client.SetGameExtraPadding
***Add movie.startsfromsavestate() and movie.startsfromsaveram(), movie.getheader(), movie.getcomments(), and movie.getsubtitles()
***Add memorysavestate library for making and loading savestates in memory, with save, load, remove, and clearall methods 
***Fix bizstring.split() (make 1-based)
***Fix crashes removing callbacks
***Fix #469 - forms.newform() : add an onclosed callback optional parameter
***Fix #463 - memory.readbyterange off-by-one
***Fix #498 - fix quicknes lua rendering being offset incorrectly sometimes

**Hex Editor
***When saving memory domains to file, account for roms in archives
***Fix some UI scrambling on memory domain change / data size changing
***Fix ampersand escaping output 
***Change copy/paste behaviour and add 'export' option to all generally make more sense.
***Fix #481 - keep scroll bar position when resetting the current rom as opposed to changing to a new one

**Cheats
***Refresh list when toggling the status of a cheat
***Fix up open and save file dialog file/directory logic 

=========================================
1.11.1
=========================================